package bundb_test

import (
	"context"
	"testing"

	"gitea.dwysokinski.me/twhelp/sessions/internal/bundb"
	"github.com/stretchr/testify/assert"
)

func TestChecker_Name(t *testing.T) {
	t.Parallel()

	assert.Equal(t, "db:ping", bundb.NewChecker(nil).Name())
}

func TestChecker_Check(t *testing.T) {
	t.Parallel()

	assert.NoError(t, bundb.NewChecker(newDB(t)).Check(context.Background()))
}
