package model

type APIError struct {
	//nolint:lll
	Code    string `json:"code" enums:"entity-not-found,route-not-found,method-not-allowed,validation-error,unauthorized,already-exists,internal-server-error"`
	Message string `json:"message"`
} // @name ApiError

type ErrorResp struct {
	Error APIError `json:"error"`
} // @name ErrorResp
