package model

import "gitea.dwysokinski.me/twhelp/sessions/internal/domain"

type Session struct {
	ServerKey string `json:"serverKey"`
	SID       string `json:"sid"`
} // @name Session

func NewSession(s domain.Session) Session {
	return Session{
		ServerKey: s.ServerKey,
		SID:       s.SID,
	}
}

type GetSessionResp struct {
	Data Session `json:"data"`
} // @name GetSessionResp

func NewGetSessionResp(s domain.Session) GetSessionResp {
	return GetSessionResp{Data: NewSession(s)}
}
